﻿using System;
using System.Collections.Generic;
using System.Windows;

namespace WpfApplication1
{
    public class DataPoint
    {
        public DateTime Date { get; set; }
        public double Value { get; set; }
    }
    
    public partial class MainWindow : Window
    {
        public IList<DataPoint> DataPoints { get; private set; }
        public MainWindow()
        {
            InitializeComponent();
            DataPoints = new List<DataPoint>();
            for (int i = 0; i < 24; i++)
            {
                DataPoints.Add(new DataPoint { Date = DateTime.Today.AddHours(i), Value = i });
            }
            ctrlChart.DataContext = this;
            XAxis.MinimumValue = new DateTime(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day, 0, 0, 0, 0);
            XAxis.MaximumValue = new DateTime(DateTime.Now.AddDays(1).Year, DateTime.Now.AddDays(1).Month, DateTime.Now.AddDays(1).Day, 0, 0, 0, 0);
            ctrlChart1.DataContext = this;
        }
    }
}
